GNU bug report logs - #35813
[PATCH] import: crate: add recursive option

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Karl Meakin <karl.w.f.meakin@HIDDEN>; Keywords: patch; dated Mon, 20 May 2019 19:43:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 35813 <at> debbugs.gnu.org:


Received: (at 35813) by debbugs.gnu.org; 6 Aug 2019 16:04:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 12:04:08 2019
Received: from localhost ([127.0.0.1]:37668 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hv1wW-0006kE-6g
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 12:04:08 -0400
Received: from mail-qk1-f181.google.com ([209.85.222.181]:34480)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bkleung89@HIDDEN>) id 1hv1wT-0006ji-8X
 for 35813 <at> debbugs.gnu.org; Tue, 06 Aug 2019 12:04:06 -0400
Received: by mail-qk1-f181.google.com with SMTP id t8so63285529qkt.1
 for <35813 <at> debbugs.gnu.org>; Tue, 06 Aug 2019 09:04:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=v53dG55hcVaAAj1NEiJTmqPQDrN9cPhY/d0IaC+9XAQ=;
 b=vbMj48K+nRUtDfFGqNt5TAgJEBHh7TiKdEhYrgmCPtAuZWEuefNVgctD6Yfai4fesA
 kiJGfMWVudOT4MO9Imobu1L0letPdBjPzl1nJLtcpdfI0cWGobuuSarNObJYsNltGElQ
 l+4X95w02xYrAIRZHQX3qmg2o6P4fd8mkEH1P91RbXm+N1J/CKLlE3jsULrvYWV4XQ0m
 +eSZHQXEZ9kzyJFsyZexmB54WnmujpQBWMOqJSVt4IMW6Fhu+YXjI1qirLw0R5tGn5eA
 wS6RLPFRHDbxz8K69d5gSVO7/OPBlbYYZO/TH9kZQ6dQTWzfDimryN6dW7RHYRFwkD0K
 u/ZA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=v53dG55hcVaAAj1NEiJTmqPQDrN9cPhY/d0IaC+9XAQ=;
 b=PyBbAj5ZKNDnrrXjbh1UuKNDNrtAZHPCClGEJz3gBsrno/FLQu8Zl4hDAdRgoGO3GF
 r687bufJzVtVOg1SQ94+Lt45WdkPsVFTdeAZ1ymxbtM/4kuWRXe08S4KD5wdASBmraOc
 B+e7Dz/6hVnX2H5nSt5GTqDUp0EUHsUOvKX+cvZLs93n0XzAQMNySIJv3Yx4zRy4pOob
 pevwVxDaoc7C68khmsu0cOmNL/McKgTXbz+1XLFvRidfHsVzIsl9Lo+EeINaXjRjP/X0
 ebvQwnbMT5BDb7DA/xBDNCaU/m+7qq7Yel4SlLo2LcCtZWBmiu6GtlYLW69tPDQPNH7l
 4UUw==
X-Gm-Message-State: APjAAAW5K58dhqUGoeugEA/6B9qJ2vgktyMg239C7WoX35pMFbtUSOru
 tuL6XomIu8pckkCJx9Zu6ZO0P/t8RW1sDPAVvAXB38pV
X-Google-Smtp-Source: APXvYqyXk9eZBrNt7dFyGzH6N19WzlOG6eevaOQym7D5K6K/lfXqAv0ZKZNWhbswUNGvjOFsytB0L+pYuE/8PCSVlQk=
X-Received: by 2002:a37:49c2:: with SMTP id w185mr3573128qka.407.1565107439641; 
 Tue, 06 Aug 2019 09:03:59 -0700 (PDT)
MIME-Version: 1.0
References: <CAAc=MEyL1Fp_qHrEUVFn207D_3NABCAOxPtq8ezc9mDaS3wo9A@HIDDEN>
 <CAAc=MEyHs+TsKEC1icvMp=ORwqAmxJvsVmVOiBcMRq3qW6VdxA@HIDDEN>
In-Reply-To: <CAAc=MEyHs+TsKEC1icvMp=ORwqAmxJvsVmVOiBcMRq3qW6VdxA@HIDDEN>
From: Brian Leung <bkleung89@HIDDEN>
Date: Tue, 6 Aug 2019 18:03:23 +0200
Message-ID: <CAAc=MExmu0mmcB6BVatRYyTpsVQHiYiSDhC3nzJCX7fXMHzZ9g@HIDDEN>
Subject: Re: [PATCH] Add crate-recursive-import.
To: 35813 <at> debbugs.gnu.org, Ivan Petkov <ivanppetkov@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000f9a9a4058f74f886"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35813
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--000000000000f9a9a4058f74f886
Content-Type: text/plain; charset="UTF-8"

Should have sent this to you too, Ivan.

On Tue, Aug 6, 2019 at 5:42 AM Brian Leung <bkleung89@HIDDEN> wrote:

> OK, I updated to remove print statements I missed.
>
> On Mon, Aug 5, 2019 at 7:50 PM Brian Leung <bkleung89@HIDDEN> wrote:
>
>> I took Karl's changes and updated them accordingly. I've also added a
>> small test. The patch containing his importer, my changes, and my test is
>> attached (the commit was made using my name--not sure if I should instead
>> apply Karl's patch).
>>
>

--000000000000f9a9a4058f74f886
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Should have sent this to you too, Ivan.</div><br><div clas=
s=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Tue, Aug 6, 2019=
 at 5:42 AM Brian Leung &lt;<a href=3D"mailto:bkleung89@HIDDEN">bkleung8=
9@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=
=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding=
-left:1ex"><div dir=3D"ltr">OK, I updated to remove print statements I miss=
ed.</div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_att=
r">On Mon, Aug 5, 2019 at 7:50 PM Brian Leung &lt;<a href=3D"mailto:bkleung=
89@HIDDEN" target=3D"_blank">bkleung89@HIDDEN</a>&gt; wrote:<br></div=
><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border=
-left:1px solid rgb(204,204,204);padding-left:1ex"><div dir=3D"ltr">I took =
Karl&#39;s changes and updated them accordingly. I&#39;ve also added a smal=
l test. The patch containing his importer, my changes, and my test is attac=
hed (the commit was made using my name--not sure if I should instead apply =
Karl&#39;s patch).</div>
</blockquote></div>
</blockquote></div>

--000000000000f9a9a4058f74f886--




Information forwarded to guix-patches@HIDDEN:
bug#35813; Package guix-patches. Full text available.

Message received at 35813 <at> debbugs.gnu.org:


Received: (at 35813) by debbugs.gnu.org; 6 Aug 2019 03:43:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 23:43:16 2019
Received: from localhost ([127.0.0.1]:36151 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1huqNY-0008Kd-6I
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 23:43:16 -0400
Received: from mail-qk1-f170.google.com ([209.85.222.170]:37840)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bkleung89@HIDDEN>) id 1huqNW-0008KL-Bg
 for 35813 <at> debbugs.gnu.org; Mon, 05 Aug 2019 23:43:15 -0400
Received: by mail-qk1-f170.google.com with SMTP id d15so61821422qkl.4
 for <35813 <at> debbugs.gnu.org>; Mon, 05 Aug 2019 20:43:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=t9FwSg07Utq8zuRoaGOHtVRKNFNtHGMzqIjJl1rsXQo=;
 b=PwyX8GpCugsXLZAmyQ27NkxIJjvMgc/fyUULzpZrqkg4Jvk2vR/39pzz55kim/FRyh
 0fp5SZvwY39qUMSHg4DGc6SlpHM2aQQEkozImhn6fuznVzyaZqWHTZ+L9YwFG6swvpLg
 bzL3okZTG/3iz9ac+vRJrA0G0m+/uS+MyYN6FePPOGCEb5hMrmHKVQ4cUOaog9SbT+XM
 uq4KjDkLMxY5Imai7CDJKtcYblpA5CFmM4cs6h7Jrlddjh3c/S/6kz83lNwjo4/TpP9X
 IV/yBD22jTNCmN6GangPjbrj6FddgNNa/EmSB90u2vjjIP1/zq9RMqzGbvlhvLBu4eyp
 SPSA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=t9FwSg07Utq8zuRoaGOHtVRKNFNtHGMzqIjJl1rsXQo=;
 b=VWz8MHCg9hugeXuFH75mlnEKGpKyQL2J2xuI10BRisFQkbKdwxzKVMJAXpdwSaGezc
 Nk7NXW0MbwLhheTRnWok8aNx+aHDJTBeBP0rHzKYJuQBh1u+0nCM3GWbdA+fCMhjCx7w
 mtla+fjINpefe36g9tWUavzGm9GG/99Yg6LBWkj++O1RCmjg3q0ECA/TYzfcH9tABKWl
 YNW28L0i1KmfnMMYYreRh8yk+n27SXVdUUAlnwYIOb4rLip7mhbONWLvpPFsAa2JNV5c
 +CAWJ1MdUhgpU0Cv3zSeDud+bWpxq9LcVz+dlknJgwtK0ovBDVlfaKM4LMKSXn5oDTLX
 lQWw==
X-Gm-Message-State: APjAAAWG0oiwGezhJaolafaiMgKMNKgzS7QlVgplPKlFk144GUSJUBgH
 4tNn9mBlCMT74+TupADuLN9+EVGiF8Vsx9uM/RNMPoIB
X-Google-Smtp-Source: APXvYqwhBc8+uRd+4n104fbJo0rajPGu8N20aZpLIqX+aS/H4Gy2DCdgdgnY/qFL7XRWqIj6cWYuJePBc0JPOxYuDuA=
X-Received: by 2002:a05:620a:70f:: with SMTP id
 15mr1395876qkc.171.1565062988664; 
 Mon, 05 Aug 2019 20:43:08 -0700 (PDT)
MIME-Version: 1.0
References: <CAAc=MEyL1Fp_qHrEUVFn207D_3NABCAOxPtq8ezc9mDaS3wo9A@HIDDEN>
In-Reply-To: <CAAc=MEyL1Fp_qHrEUVFn207D_3NABCAOxPtq8ezc9mDaS3wo9A@HIDDEN>
From: Brian Leung <bkleung89@HIDDEN>
Date: Tue, 6 Aug 2019 05:42:32 +0200
Message-ID: <CAAc=MEyHs+TsKEC1icvMp=ORwqAmxJvsVmVOiBcMRq3qW6VdxA@HIDDEN>
Subject: Re: [PATCH] Add crate-recursive-import.
To: 35813 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary="0000000000007db5b8058f6a9fe3"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35813
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--0000000000007db5b8058f6a9fe3
Content-Type: multipart/alternative; boundary="0000000000007db5b3058f6a9fe1"

--0000000000007db5b3058f6a9fe1
Content-Type: text/plain; charset="UTF-8"

OK, I updated to remove print statements I missed.

On Mon, Aug 5, 2019 at 7:50 PM Brian Leung <bkleung89@HIDDEN> wrote:

> I took Karl's changes and updated them accordingly. I've also added a
> small test. The patch containing his importer, my changes, and my test is
> attached (the commit was made using my name--not sure if I should instead
> apply Karl's patch).
>

--0000000000007db5b3058f6a9fe1
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">OK, I updated to remove print statements I missed.</div><b=
r><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Mon, =
Aug 5, 2019 at 7:50 PM Brian Leung &lt;<a href=3D"mailto:bkleung89@HIDDEN=
m">bkleung89@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_q=
uote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,2=
04);padding-left:1ex"><div dir=3D"ltr">I took Karl&#39;s changes and update=
d them accordingly. I&#39;ve also added a small test. The patch containing =
his importer, my changes, and my test is attached (the commit was made usin=
g my name--not sure if I should instead apply Karl&#39;s patch).</div>
</blockquote></div>

--0000000000007db5b3058f6a9fe1--

--0000000000007db5b8058f6a9fe3
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-gnu-Add-crate-recursive-import.patch"
Content-Disposition: attachment; 
	filename="0001-gnu-Add-crate-recursive-import.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jyza1ve10>
X-Attachment-Id: f_jyza1ve10
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--0000000000007db5b8058f6a9fe3--




Information forwarded to guix-patches@HIDDEN:
bug#35813; Package guix-patches. Full text available.

Message received at 35813 <at> debbugs.gnu.org:


Received: (at 35813) by debbugs.gnu.org; 5 Aug 2019 17:51:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 13:51:16 2019
Received: from localhost ([127.0.0.1]:35830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1huh8d-0003xe-Ry
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 13:51:16 -0400
Received: from mail-qt1-f182.google.com ([209.85.160.182]:35126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bkleung89@HIDDEN>) id 1huh8b-0003xN-4z
 for 35813 <at> debbugs.gnu.org; Mon, 05 Aug 2019 13:51:14 -0400
Received: by mail-qt1-f182.google.com with SMTP id d23so81838005qto.2
 for <35813 <at> debbugs.gnu.org>; Mon, 05 Aug 2019 10:51:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=wCxrA06FqnXwBSua1rHWv9LzTRBPnGLYXScAs2iELBQ=;
 b=DTwsHDpNAVkRFcV5kHdmN2ZFElBJrXW87HlbsE1IaklmJ2WV0SCLsgmG97QqH5Fx1Z
 d8O0WZxd1z0bvMp4GF/a7jrnlRfRwmVfaZEGMpEAj5LUSpR9u37fKC2pfC9skbBitTCb
 8oN0coUiGn+97yA2GT37lr1bW7IsDAxpMLfua0VC83GyTBEJk15Le0dQYiTIXXImqYXf
 4Gbx/wrbyl7ZQfC5gZYcByBkpolcxH2sDzB4ji35IlDrcxMZ3z92oOSW/255q649HBOg
 UaktEIXfGhLIDROD00uuq1jHUHYHyX9zXQK/hYYp2JJ7y6xtIOJueRe0KSQH80sx2bBq
 Fksw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=wCxrA06FqnXwBSua1rHWv9LzTRBPnGLYXScAs2iELBQ=;
 b=bnyZyPwUa/N3xZ9FNnQ9wIqqp8ifyg2TwhLbMOiQyB0iM4J/erPhAuB+Aj5CYwDyiI
 o0lgw14DP4MEb50AEzSNKaeqqF3BDaQoMmI2JHnhZy4JwMP3xvDP5Rl+TJPZouc0zRm0
 pkiFn8DngHzeho9iuCVxBF20hQSBtgbO+2RZJVuHompiCOuQHcbbk1Cg9z6Ue/LhO8j8
 Vly/WmExn4TgUJyXxYd6aoQDwtKQjMB5nYOA3ABE/Q7rjSYqf9pFJLZuU0SJP+W/I5bO
 YChEYJRvezAG//YEQIwZP0Vr31Hk0iYR2m0XYc1Rt4jNZk7jVuOvelpYbvTNhV4O6TMR
 xrsQ==
X-Gm-Message-State: APjAAAWdPd5an/8b1M8ntya7t5AW1u1+nA/6UvDmDHZppZVSyCGnO1dY
 PUHzNtPQSw/Qsixg1AWcTxpZQQHeXVb8cnh4vIdw9ncJ
X-Google-Smtp-Source: APXvYqzT+y7bZeoHw5vR3r7fYVSDqTaaImxOSPCr8gluqNzL9wm0YvJReJMcEEx0+aYcV3XgEUeZVrhw/z9+3jtKz1s=
X-Received: by 2002:a0c:b998:: with SMTP id
 v24mr111621387qvf.132.1565027467403; 
 Mon, 05 Aug 2019 10:51:07 -0700 (PDT)
MIME-Version: 1.0
From: Brian Leung <bkleung89@HIDDEN>
Date: Mon, 5 Aug 2019 19:50:31 +0200
Message-ID: <CAAc=MEyL1Fp_qHrEUVFn207D_3NABCAOxPtq8ezc9mDaS3wo9A@HIDDEN>
Subject: [PATCH] Add crate-recursive-import.
To: 35813 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary="000000000000425333058f625a89"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35813
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--000000000000425333058f625a89
Content-Type: multipart/alternative; boundary="000000000000425330058f625a87"

--000000000000425330058f625a87
Content-Type: text/plain; charset="UTF-8"

I took Karl's changes and updated them accordingly. I've also added a small
test. The patch containing his importer, my changes, and my test is
attached (the commit was made using my name--not sure if I should instead
apply Karl's patch).

--000000000000425330058f625a87
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I took Karl&#39;s changes and updated them accordingly. I&=
#39;ve also added a small test. The patch containing his importer, my chang=
es, and my test is attached (the commit was made using my name--not sure if=
 I should instead apply Karl&#39;s patch).</div>

--000000000000425330058f625a87--

--000000000000425333058f625a89
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-gnu-Add-crate-recursive-import.patch"
Content-Disposition: attachment; 
	filename="0001-gnu-Add-crate-recursive-import.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jyyotji90>
X-Attachment-Id: f_jyyotji90
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--000000000000425333058f625a89--




Information forwarded to guix-patches@HIDDEN:
bug#35813; Package guix-patches. Full text available.

Message received at 35813 <at> debbugs.gnu.org:


Received: (at 35813) by debbugs.gnu.org; 20 Jul 2019 21:43:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 20 17:43:52 2019
Received: from localhost ([127.0.0.1]:57959 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hox8y-0006Bt-5U
	for submit <at> debbugs.gnu.org; Sat, 20 Jul 2019 17:43:52 -0400
Received: from mail-pf1-f177.google.com ([209.85.210.177]:39249)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ivanppetkov@HIDDEN>) id 1hox8w-0006Bg-Em
 for 35813 <at> debbugs.gnu.org; Sat, 20 Jul 2019 17:43:50 -0400
Received: by mail-pf1-f177.google.com with SMTP id f17so11646852pfn.6
 for <35813 <at> debbugs.gnu.org>; Sat, 20 Jul 2019 14:43:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=VKLg5ajMhxRMcYan195+piUjHs0WQ4nQFWSYbTMYxfA=;
 b=crR7jtw4bsuhyqGkvhJZMsg+20wpxIif/Q2R5ZixAvNUCKu6SaDH5YbSNMDGZZa+bc
 RON83YWRxMo3/DRSAK88XdNL45hkwQZj+parnwyOIMao0W6YOdA665YW4df2fFJ0ZFnU
 VOMSOA2tpazW5YRpvOsr+g8qLxjL5WJv8RBwKpdAmN6Om2GlqtqYoq8588011T8ZHAmq
 hmrAieuouLtUfq7P1y+SO7NjGOZ3haOZelNw7qZSO8bYNp7rSu3KmZz19rolH/9pFwxw
 ETqxNEGWkhJ2nelrhJ0TK2GiIKiC9aDDS4zHSz1TTqV6sqTY9hvLxDS6KnFOIKvXxSIF
 lFyw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=VKLg5ajMhxRMcYan195+piUjHs0WQ4nQFWSYbTMYxfA=;
 b=gndJPg89+nycdTgBY1MH4Siw1mhh8HiuIEf48LB2hhUMRtB+PXI71/hk9U9QrTVz0v
 gFq/k8Kzl7eLutVEmn2IIBQZWinGfvhYpS3MYSWD6r8Oqn8brpbFf8UkALz74X1Ki7RV
 19w9lbX9jmtJFC1xQoRBmhimeeoRD95uvrP+NDmv41ZGp4ZbuaQyRR5DRcUuByzPtO/U
 soUtt9edAL7Qi2HzIQXL0XG0s8FCNHBeuCkLesq/muOcFC+FeuEYqXXmvUFz0AEIwfUI
 xk0Q8zlKs9+Gq5ZArKYvmEqvNV4q3L/AKW2HeXbGVS0uU1Yyps/CJPEW5xG2SgLV51qr
 gdrA==
X-Gm-Message-State: APjAAAVQXPfQLuP/AD3gd9flNatMjMj1ik0yFM7jfiJ2ACdRpZ+y2Vew
 KB2Kt25nBqj6d2Fk+efZ5X0=
X-Google-Smtp-Source: APXvYqzJaW2tj/9g71atyaSScKhYpYlAMEJXPIxa79JnIu7WY9440wlgLlV3g1gRCqiAVJXEJBMwtQ==
X-Received: by 2002:a63:5c7:: with SMTP id 190mr60973184pgf.67.1563659024588; 
 Sat, 20 Jul 2019 14:43:44 -0700 (PDT)
Received: from ?IPv6:2601:602:9a00:1784:b55b:35b4:cc9f:d44c?
 ([2601:602:9a00:1784:b55b:35b4:cc9f:d44c])
 by smtp.gmail.com with ESMTPSA id o130sm57728541pfg.171.2019.07.20.14.43.43
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 20 Jul 2019 14:43:43 -0700 (PDT)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 11.5 \(3445.9.1\))
Subject: Re: 
From: Ivan Petkov <ivanppetkov@HIDDEN>
In-Reply-To: <CAAc=MEztxqF7z4mi50_CDv64PNwSt8=snm-XmEDZ3GuVJO31vw@HIDDEN>
Date: Sat, 20 Jul 2019 14:43:39 -0700
Content-Transfer-Encoding: quoted-printable
Message-Id: <FB09817B-0F88-4040-887B-87DF52F9522D@HIDDEN>
References: <CAAc=MEztxqF7z4mi50_CDv64PNwSt8=snm-XmEDZ3GuVJO31vw@HIDDEN>
To: Brian Leung <bkleung89@HIDDEN>
X-Mailer: Apple Mail (2.3445.9.1)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35813
Cc: Karl Meakin <karl.w.f.meakin@HIDDEN>, 35813 <at> debbugs.gnu.org,
 Karl Meakin <Karlwfmeakin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Brian,

> On Jul 20, 2019, at 11:30 AM, Brian Leung <bkleung89@HIDDEN> wrote:
>=20
> What's the status on this? I was about to start working on a recursive =
importer for Rust crates until I noticed this patch.

On the patch side a couple of updates are still needed:
* a rebase on the latest master
* an update to also include the native-inputs/dev-dependency inputs in =
the loop for importing additional crates
* some tests to verify the behavior

Not sure if Karl has a had a chance to update this yet

=E2=80=94Ivan





Information forwarded to guix-patches@HIDDEN:
bug#35813; Package guix-patches. Full text available.

Message received at 35813 <at> debbugs.gnu.org:


Received: (at 35813) by debbugs.gnu.org; 20 Jul 2019 18:30:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 20 14:30:46 2019
Received: from localhost ([127.0.0.1]:57901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hou86-00013l-Dh
	for submit <at> debbugs.gnu.org; Sat, 20 Jul 2019 14:30:46 -0400
Received: from mail-qt1-f176.google.com ([209.85.160.176]:36161)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bkleung89@HIDDEN>) id 1hou82-00013V-6h
 for 35813 <at> debbugs.gnu.org; Sat, 20 Jul 2019 14:30:43 -0400
Received: by mail-qt1-f176.google.com with SMTP id z4so34457298qtc.3
 for <35813 <at> debbugs.gnu.org>; Sat, 20 Jul 2019 11:30:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to:cc;
 bh=gQaUsCtOSu3nuB/fa+wtD+AYGylMoc7IPTnpXQGzcH8=;
 b=EZKdWwWQuyWl7E8wVcm5C5ZFuwARqSMdJ+bFfMq4kCKu4WIkp/sXoVV+v7rRS5xko4
 dLB6+gfsKoOPOM5WNTWeETi1fU83fsSxy+7GuLT05h5ardyDOQZGhFU6GtH222RgH1Pe
 KTt61Be6EuoAyR6VEhu0nde5cCcvcxMAja4iZrPt7KcjoAariNpnSwyqUqJkitynSjCu
 yqfjvFtgUbX30Ep2CurR3RjdY0c8LbMKvDouCVz8uTtHjeRQLxgzom+WYSp9gwvgI8gg
 HtNUAMElZEM91GZ1kOVeG27qy1TECRL/1w1DWAgYpziBhTIYWPwzQPByLoKKrhv1OqPi
 KtSw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to:cc;
 bh=gQaUsCtOSu3nuB/fa+wtD+AYGylMoc7IPTnpXQGzcH8=;
 b=O3x7LLyBuGSrrF1sRhigcbXkRZANeTMxOkQ/xpKoSuSCN+w5SknzftBDaekreGaznY
 VbcdgqYVas+jLRUd86EyaKSejsVMpvOF+M0l7cGWgWEwMJpGYoLHgzcNnTfqXqq/83UL
 b/yp9YDBCeMx/2YD7GjFmrqNehxR0X/Vz4ynRl9NsWv5aFWZN94oXBfidqNqC1ZrPn2k
 oI6wxoxQzOHCRVf6i5tXQ8vgk2QORwO49xK7oTCcQ60wo3tmdWxxwfRCntam4yO9JAqW
 DJKvBMQ5/NokcPAV6WsV+UbYWISioX03PhU861d1LKH/nHv8bEefLITo4JHR34Pko81J
 SP+Q==
X-Gm-Message-State: APjAAAUES54IShWC9qYckwk3B8Ce8YWiBwy8kCxq2drUoZRKze0eJnYW
 JQC+7yG/G6DQfOmgW7X7HLJbk4xLz2bfOyuAUALlpg==
X-Google-Smtp-Source: APXvYqyovfibIq/Po4rkGnYMEDia08bZ4pf/H+Od12ubXCjJ1712AOoA2ToFRgJ9flPKTRyKl4NWH8T3cEiNohejOGs=
X-Received: by 2002:aed:3924:: with SMTP id l33mr40792206qte.214.1563647436545; 
 Sat, 20 Jul 2019 11:30:36 -0700 (PDT)
MIME-Version: 1.0
From: Brian Leung <bkleung89@HIDDEN>
Date: Sat, 20 Jul 2019 20:30:00 +0200
Message-ID: <CAAc=MEztxqF7z4mi50_CDv64PNwSt8=snm-XmEDZ3GuVJO31vw@HIDDEN>
Subject: 
To: 35813 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="00000000000002650b058e210a26"
X-Spam-Score: 2.3 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  What's the status on this? I was about to start working on
 a recursive importer for Rust crates until I noticed this patch. What's the
 status on this? I was about to start working on a recursive importer for
 Rust crates until I noticed this patch. 
 Content analysis details:   (2.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (bkleung89[at]gmail.com)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (bkleung89[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.160.176 listed in list.dnswl.org]
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: 35813
Cc: Karl Meakin <karl.w.f.meakin@HIDDEN>,
 Karl Meakin <Karlwfmeakin@HIDDEN>, Ivan Petkov <ivanppetkov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  What's the status on this? I was about to start working on
    a recursive importer for Rust crates until I noticed this patch. What's the
    status on this? I was about to start working on a recursive importer for
   Rust crates until I noticed this patch. 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.160.176 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (bkleung89[at]gmail.com)
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (bkleung89[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 HTML_MESSAGE           BODY: HTML included in message
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  2.0 BLANK_SUBJECT          Subject is present but empty

--00000000000002650b058e210a26
Content-Type: text/plain; charset="UTF-8"

What's the status on this? I was about to start working on a recursive
importer for Rust crates until I noticed this patch.

--00000000000002650b058e210a26
Content-Type: text/html; charset="UTF-8"

<div dir="ltr">What&#39;s the status on this? I was about to start working on a recursive importer for Rust crates until I noticed this patch.</div>

--00000000000002650b058e210a26--




Information forwarded to guix-patches@HIDDEN:
bug#35813; Package guix-patches. Full text available.

Message received at 35813 <at> debbugs.gnu.org:


Received: (at 35813) by debbugs.gnu.org; 25 May 2019 19:38:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 25 15:38:18 2019
Received: from localhost ([127.0.0.1]:49679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hUcUj-0000HY-L9
	for submit <at> debbugs.gnu.org; Sat, 25 May 2019 15:38:17 -0400
Received: from mail-pf1-f196.google.com ([209.85.210.196]:41334)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ivanppetkov@HIDDEN>) id 1hUcUi-0000HM-4U
 for 35813 <at> debbugs.gnu.org; Sat, 25 May 2019 15:38:16 -0400
Received: by mail-pf1-f196.google.com with SMTP id q17so2422583pfq.8
 for <35813 <at> debbugs.gnu.org>; Sat, 25 May 2019 12:38:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:subject:from:in-reply-to:date:cc:message-id:references
 :to; bh=FZxtKoYBl6kc/MJkPt3qSg49NtoK0YHJEDjO8uWUmLs=;
 b=iR/wm4hLiWBVjAqyz8G/bNLsiatXC+YuYnsUx6g0AvfJ8ISedQItTZkU5uB2JdtEPE
 KhnQ6UIK+XFWoNiQrMSZNyGO1BOhzVmivVe/VvcrdXFdUT846K3JHE36nMtHXYkRC5C1
 XGJJjdpUvgX/prg7SHSsbymHMckp9gQxX+I7XZthf91/HDi1rupj5ypzCAZosfua8MAY
 rEPomTo12qdgP4+Gt+4ya7bifBhRX6P3T7lBHkjUBd59qLhLmZwH5v/vDkF/vDu6sX8i
 neSphBDSagemtIHsf8gAzo7DxWHGc4UAYUgsZhsuKYvBMYQBQjVwuTfbXXMSc+XJYsiF
 skKA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :message-id:references:to;
 bh=FZxtKoYBl6kc/MJkPt3qSg49NtoK0YHJEDjO8uWUmLs=;
 b=atCVJ75wzm9YcdR9aEGdiB6Tr0ZhWXdMC50KM4I2dMXrmGsQLIsVGhKUXUHxb2NQ8N
 ZTNqPsDSMYhc8efd/3SqH6w3gPB3FGsf6xqiGXIu+ePQ1lSdLhv+fSzVdWv8OLIg5Ock
 ur3mKkYvzQPXSaVIOEQSbBCKycDe8e0tMwPSB8NpiZx/Ac9m7YTuBx1ncoJvSQ0UdAAY
 xll7GEIJSGzGri8dk+O7MhfU5ak/EGsd1ZwwXmTwgw4wUwamuPNQq+5fSv+1soF+6eQr
 lLyaVJiScR1w02FzNFTjA/7bE9muIXE3j5+38sjpxvosFzE5gNMrl/zfzoGzjw9WQ9Pv
 IapQ==
X-Gm-Message-State: APjAAAWVcMnzJv/IHSaELJHIS4L6b/uhR998PNQb4zAAPQQSJEMW9lp3
 luEyXyynaYLJl4NnK3FqWNhXZQfsCCI=
X-Google-Smtp-Source: APXvYqxZqAnaUl7rxunTnrARSgxLl+vQgcwYSXF8bLPO0y2fgkuY92N4P9UcoUB5ZTCifKCuXaSe8A==
X-Received: by 2002:a63:2c14:: with SMTP id s20mr95753114pgs.182.1558813089937; 
 Sat, 25 May 2019 12:38:09 -0700 (PDT)
Received: from ?IPv6:2601:602:9a00:1784:e06a:28cb:96c1:e1?
 ([2601:602:9a00:1784:e06a:28cb:96c1:e1])
 by smtp.gmail.com with ESMTPSA id p16sm8341064pfq.153.2019.05.25.12.38.08
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 25 May 2019 12:38:09 -0700 (PDT)
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_7B162412-3D04-490E-9BB7-DA03F01A5421"
Mime-Version: 1.0 (Mac OS X Mail 11.5 \(3445.9.1\))
Subject: Re: [bug#35813] [PATCH] import: crate: add recursive option
From: Ivan Petkov <ivanppetkov@HIDDEN>
In-Reply-To: <87woifuadk.fsf@HIDDEN>
Date: Sat, 25 May 2019 12:38:08 -0700
Message-Id: <F514F3C2-FA56-4958-916B-488EBF898E15@HIDDEN>
References: <20190520182306.11899-1-Karlwfmeakin@HIDDEN>
 <87woifuadk.fsf@HIDDEN>
To: 35813 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.3445.9.1)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35813
Cc: Danny Milosavljevic <dannym@HIDDEN>,
 Karl Meakin <karl.w.f.meakin@HIDDEN>, Karl Meakin <Karlwfmeakin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--Apple-Mail=_7B162412-3D04-490E-9BB7-DA03F01A5421
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

Hi Karl,

Thanks for the patch, overall the implementation looks good to me!

> On May 24, 2019, at 8:42 AM, Ludovic Court=C3=A8s <ludo@HIDDEN> =
wrote:
>=20
> would it be possible to augment =E2=80=98tests/crate.scm=E2=80=99 with =
tests for
> recursive imports?  That would be great.

I second Ludo=E2=80=99s comment here, having some tests around this =
would be great!

Also, have you had a chance to test this by importing a Rust =
application?
I tried to import hexyl (which has a small dependency closure compared =
to other
applications), but the final result had some missing crate input =
definitions
(e.g. Maybe a crate depends on rust-foo, but rust-foo wasn't defined in =
the
output either). Maybe I did something wrong, but it would be good to =
confirm!

Also, don't worry about actually trying to build any imported packages =
as of
yet, you might hit a cycle issue between proc-macro2 and quote. I've got =
a
patch open[0] for fixing the cargo-build-system to handle this!

--Ivan

[0]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D35318 =
<https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D35318>


--Apple-Mail=_7B162412-3D04-490E-9BB7-DA03F01A5421
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D"">Hi =
Karl,<div class=3D""><br class=3D""></div><div class=3D"">Thanks for the =
patch, overall the implementation looks good to me!<br class=3D""><div><br=
 class=3D""><blockquote type=3D"cite" class=3D""><div class=3D"">On May =
24, 2019, at 8:42 AM, Ludovic Court=C3=A8s &lt;<a =
href=3D"mailto:ludo@HIDDEN" class=3D"">ludo@HIDDEN</a>&gt; =
wrote:</div><div class=3D""><div class=3D""><br class=3D"">would it be =
possible to augment =E2=80=98tests/crate.scm=E2=80=99 with tests for<br =
class=3D"">recursive imports? &nbsp;That would be great.<br =
class=3D""></div></div></blockquote></div><br class=3D""></div><div =
class=3D""><div class=3D"">I second Ludo=E2=80=99s comment here, having =
some tests around this would be great!</div><div class=3D""><br =
class=3D""></div><div class=3D"">Also, have you had a chance to test =
this by importing a Rust application?</div><div class=3D"">I tried to =
import hexyl (which has a small dependency closure compared to =
other</div><div class=3D"">applications), but the final result had some =
missing crate input definitions</div><div class=3D"">(e.g. Maybe a crate =
depends on rust-foo, but rust-foo wasn't defined in the</div><div =
class=3D"">output either). Maybe I did something wrong, but it would be =
good to confirm!</div><div class=3D""><br class=3D""></div><div =
class=3D"">Also, don't worry about actually trying to build any imported =
packages as of</div><div class=3D"">yet, you might hit a cycle issue =
between proc-macro2 and quote. I've got a</div><div class=3D"">patch =
open[0] for fixing the cargo-build-system to handle this!</div><div =
class=3D""><br class=3D""></div><div class=3D"">--Ivan</div><div =
class=3D""><br class=3D""></div><div class=3D"">[0]: <a =
href=3D"https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D35318" =
class=3D"">https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D35318</a></div>=
</div><div class=3D""><br class=3D""></div></body></html>=

--Apple-Mail=_7B162412-3D04-490E-9BB7-DA03F01A5421--




Information forwarded to guix-patches@HIDDEN:
bug#35813; Package guix-patches. Full text available.

Message received at 35813 <at> debbugs.gnu.org:


Received: (at 35813) by debbugs.gnu.org; 24 May 2019 15:42:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 24 11:42:56 2019
Received: from localhost ([127.0.0.1]:47085 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hUCLQ-0008A1-88
	for submit <at> debbugs.gnu.org; Fri, 24 May 2019 11:42:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hUCLO-00089k-Pq
 for 35813 <at> debbugs.gnu.org; Fri, 24 May 2019 11:42:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41196)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hUCLJ-0000KX-Bk; Fri, 24 May 2019 11:42:49 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=36710 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hUCLI-0001K2-UT; Fri, 24 May 2019 11:42:49 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Karl Meakin <karl.w.f.meakin@HIDDEN>
Subject: Re: [bug#35813] [PATCH] import: crate: add recursive option
References: <20190520182306.11899-1-Karlwfmeakin@HIDDEN>
Date: Fri, 24 May 2019 17:42:47 +0200
In-Reply-To: <20190520182306.11899-1-Karlwfmeakin@HIDDEN> (Karl Meakin's
 message of "Mon, 20 May 2019 19:23:06 +0100")
Message-ID: <87woifuadk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35813
Cc: Danny Milosavljevic <dannym@HIDDEN>, 35813 <at> debbugs.gnu.org,
 Karl Meakin <Karlwfmeakin@HIDDEN>, Ivan Petkov <ivanppetkov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Karl,

Karl Meakin <karl.w.f.meakin@HIDDEN> skribis:

> * guix/script/import/crate.scm: Add recursive option.
> * guix/import/crate.scm (crate-recursive-import): New variable.

Thanks for working on this!  Please also mention the guix.texi change
here.

I prefer to let Ivan and Danny comment on this.  My only question is:
would it be possible to augment =E2=80=98tests/crate.scm=E2=80=99 with test=
s for
recursive imports?  That would be great.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#35813; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 May 2019 19:42:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 20 15:42:15 2019
Received: from localhost ([127.0.0.1]:37984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hSoAo-0007ph-0E
	for submit <at> debbugs.gnu.org; Mon, 20 May 2019 15:42:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60258)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <karl.w.f.meakin@HIDDEN>) id 1hSmwU-0007qb-Hh
 for submit <at> debbugs.gnu.org; Mon, 20 May 2019 14:23:23 -0400
Received: from lists.gnu.org ([209.51.188.17]:50627)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <karl.w.f.meakin@HIDDEN>)
 id 1hSmwP-0000pW-3d
 for submit <at> debbugs.gnu.org; Mon, 20 May 2019 14:23:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46397)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <karl.w.f.meakin@HIDDEN>) id 1hSmwN-0000qS-3s
 for guix-patches@HIDDEN; Mon, 20 May 2019 14:23:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_FILL_THIS_FORM_SHORT,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <karl.w.f.meakin@HIDDEN>) id 1hSmwL-0000mM-7A
 for guix-patches@HIDDEN; Mon, 20 May 2019 14:23:14 -0400
Received: from mail-wr1-x431.google.com ([2a00:1450:4864:20::431]:34158)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <karl.w.f.meakin@HIDDEN>)
 id 1hSmwK-0000lP-VV
 for guix-patches@HIDDEN; Mon, 20 May 2019 14:23:13 -0400
Received: by mail-wr1-x431.google.com with SMTP id f8so9301865wrt.1
 for <guix-patches@HIDDEN>; Mon, 20 May 2019 11:23:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=L7p2d27EXZ/TA7DC0aJovxavCt7lqWwjdvUwOrrtOtc=;
 b=YX6iHcItLq4a0mOa8WwzwlkOhDIK4++kaue+T+zGa8SdNGU6JQ2LI3BKxfG4Bu5dRR
 yPxpqfZQBbfzPRvHnTQHhal1WMV4r4WGEYPn/5Kx+OFoCH+QbbwyQIfDgC2jjVvi5IV+
 T5nsB1Gzz3SaOxyTQDXMfKZiZLv5unbwyx/zT016Q5/QKb5PdThb1Y1BrRylbWTFkUld
 vTyORKHrMdO+C6M42ZjRCgnyRbmQ6UNNZ7p/o+hin7MBLnCU0lnpQtwdw2kaOBN6lrJk
 Q1twHXLU59vo7AickMOndv08j0JbuzfT+01zbKTCUpVO82znr8ZKiJEvmctrFA7oA2uu
 evBw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=L7p2d27EXZ/TA7DC0aJovxavCt7lqWwjdvUwOrrtOtc=;
 b=tpacEncIk6YWI2F8DwF0Q3wXRMtZo0s50K4ycw/Rb2hOFggAYkeZq1dmb+YIzRzHnp
 Jvzv5miTOEkN5PMy/J0neiSPTQg1NujmCGvHTyFhWbfsOiEwhqecJlyJ0fI/hauhmfIM
 AVxuok8V1wGBk3tV7KculCi3GXB1cZ0G3jiR+tiM6+mPCknmEjKZu6iFsad2HA+MxjFR
 KdGskDhzBh7IaTsU5L+5IwpozBqcpO0mbMFXLbI439t21kxGJkd+tsyB4FYEzl2HASyc
 v+q7N3D2S11BVC2zauFoqDvxJe6zrWQ06dX3lhvZyB+9TW4wUAwum2dU0s9RwwiVir1L
 agPw==
X-Gm-Message-State: APjAAAXJ0nxq0GpljjrY0cMzXCgyVq0a3CvJi64k43KYuGqAz5B+EWGo
 EDMdvOrQxBAxa/4nXroRfLv2dJmYDSg=
X-Google-Smtp-Source: APXvYqxtn086unKcLww6qjLxwC45XIFRzUZxjEv37dghu7ZJNOFbTID44j8M7xSV9WhD9TysQNZnPA==
X-Received: by 2002:a5d:4002:: with SMTP id n2mr11687521wrp.187.1558376590275; 
 Mon, 20 May 2019 11:23:10 -0700 (PDT)
Received: from localhost (owp026a.halls.manchester.ac.uk. [130.88.254.26])
 by smtp.gmail.com with ESMTPSA id d16sm14739785wrs.68.2019.05.20.11.23.09
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 20 May 2019 11:23:09 -0700 (PDT)
From: Karl Meakin <karl.w.f.meakin@HIDDEN>
X-Google-Original-From: Karl Meakin <Karlwfmeakin@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] import: crate: add recursive option
Date: Mon, 20 May 2019 19:23:06 +0100
Message-Id: <20190520182306.11899-1-Karlwfmeakin@HIDDEN>
X-Mailer: git-send-email 2.21.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::431
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 20 May 2019 15:42:12 -0400
Cc: Karl Meakin <Karlwfmeakin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* guix/script/import/crate.scm: Add recursive option.
* guix/import/crate.scm (crate-recursive-import): New variable.
---
 doc/guix.texi                 |  8 ++++++++
 guix/import/crate.scm         | 24 ++++++++++++++++--------
 guix/scripts/import/crate.scm | 27 ++++++++++++++++++++++-----
 3 files changed, 46 insertions(+), 13 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index ae9ad0739e..636bb7521d 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -8787,6 +8787,14 @@ in Guix.
 Import metadata from the crates.io Rust package repository
 @uref{https://crates.io, crates.io}.
 
+@table @code
+@item --recursive
+@itemx -r
+Traverse the dependency graph of the given upstream package recursively
+and generate package expressions for all those packages that are not yet
+in Guix.
+@end table
+
 @item opam
 @cindex OPAM
 @cindex OCaml
diff --git a/guix/import/crate.scm b/guix/import/crate.scm
index e0b400d054..d8554b0e7a 100644
--- a/guix/import/crate.scm
+++ b/guix/import/crate.scm
@@ -37,6 +37,7 @@
   #:use-module (srfi srfi-26)
   #:export (crate->guix-package
             guix-package->crate-name
+            crate-recursive-import
             %crate-updater))
 
 (define (crate-fetch crate-name callback)
@@ -86,8 +87,8 @@
 VERSION, INPUTS, NATIVE-INPUTS, HOME-PAGE, SYNOPSIS, DESCRIPTION, and LICENSE."
   (let* ((port (http-fetch (crate-uri name version)))
          (guix-name (crate-name->package-name name))
-         (inputs (map crate-name->package-name inputs))
-         (native-inputs (map crate-name->package-name native-inputs))
+         (input-packages (map crate-name->package-name inputs))
+         (native-input-packages (map crate-name->package-name native-inputs))
          (pkg `(package
                    (name ,guix-name)
                    (version ,version)
@@ -99,8 +100,8 @@ VERSION, INPUTS, NATIVE-INPUTS, HOME-PAGE, SYNOPSIS, DESCRIPTION, and LICENSE."
                               (base32
                                ,(bytevector->nix-base32-string (port-sha256 port))))))
                    (build-system cargo-build-system)
-                   ,@(maybe-native-inputs native-inputs "src")
-                   ,@(maybe-inputs inputs "src")
+                   ,@(maybe-native-inputs native-input-packages "src")
+                   ,@(maybe-inputs input-packages "src")
                    (home-page ,(match home-page
                                  (() "")
                                  (_ home-page)))
@@ -111,12 +112,14 @@ VERSION, INPUTS, NATIVE-INPUTS, HOME-PAGE, SYNOPSIS, DESCRIPTION, and LICENSE."
                                ((license) license)
                                (_ `(list ,@license)))))))
          (close-port port)
-         pkg))
+         (values pkg inputs)))
 
-(define (crate->guix-package crate-name)
-  "Fetch the metadata for CRATE-NAME from crates.io, and return the
+(define crate->guix-package
+  (memoize
+   (lambda* (crate-name _)
+     "Fetch the metadata for CRATE-NAME from crates.io, and return the
 `package' s-expression corresponding to that package, or #f on failure."
-  (crate-fetch crate-name make-crate-sexp))
+     (crate-fetch crate-name make-crate-sexp))))
 
 (define (guix-package->crate-name package)
   "Return the crate name of PACKAGE."
@@ -158,6 +161,11 @@ VERSION, INPUTS, NATIVE-INPUTS, HOME-PAGE, SYNOPSIS, DESCRIPTION, and LICENSE."
      (version version)
      (urls (list url)))))
 
+(define* (crate-recursive-import package-name)
+  (recursive-import package-name #f
+                    #:repo->guix-package crate->guix-package
+                    #:guix-name crate-name->package-name))
+
 (define %crate-updater
   (upstream-updater
    (name 'crates)
diff --git a/guix/scripts/import/crate.scm b/guix/scripts/import/crate.scm
index cab9a4397b..8fadcdd57c 100644
--- a/guix/scripts/import/crate.scm
+++ b/guix/scripts/import/crate.scm
@@ -27,6 +27,7 @@
   #:use-module (srfi srfi-1)
   #:use-module (srfi srfi-11)
   #:use-module (srfi srfi-37)
+  #:use-module (srfi srfi-41)
   #:use-module (ice-9 match)
   #:use-module (ice-9 format)
   #:export (guix-import-crate))
@@ -45,6 +46,8 @@ Import and convert the crate.io package for PACKAGE-NAME.\n"))
   (display (G_ "
   -h, --help             display this help and exit"))
   (display (G_ "
+  -r, --recursive        import packages recursively"))
+  (display (G_ "
   -V, --version          display version information and exit"))
   (newline)
   (show-bug-report-information))
@@ -58,6 +61,9 @@ Import and convert the crate.io package for PACKAGE-NAME.\n"))
          (option '(#\V "version") #f #f
                  (lambda args
                    (show-version-and-exit "guix import crate")))
+         (option '(#\r "recursive") #f #f
+                 (lambda (opt name arg result)
+                   (alist-cons 'recursive #t result)))
          %standard-import-options))
 
 
@@ -83,11 +89,22 @@ Import and convert the crate.io package for PACKAGE-NAME.\n"))
                            (reverse opts))))
     (match args
       ((package-name)
-       (let ((sexp (crate->guix-package package-name)))
-         (unless sexp
-           (leave (G_ "failed to download meta-data for package '~a'~%")
-                  package-name))
-         sexp))
+       (if (assoc-ref opts 'recursive)
+           ;; Recursive import
+           (map (match-lambda
+                  ((and ('package ('name name) . rest) pkg)
+                   `(define-public ,(string->symbol name)
+                      ,pkg))
+                  (_ #f))
+                (reverse
+                 (stream->list
+                  (crate-recursive-import package-name))))
+           ;; Single import
+           (let ((sexp (crate->guix-package package-name #f)))
+             (unless sexp
+               (leave (G_ "failed to download meta-data for package '~a'~%")
+                      package-name))
+             sexp)))
       (()
        (leave (G_ "too few arguments~%")))
       ((many ...)
-- 
2.21.0





Acknowledgement sent to Karl Meakin <karl.w.f.meakin@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#35813; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 6 Aug 2019 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.